## imcode.util
Class Parser

    java.lang.Object
      imcode.util.Parser

    public class Parser

extends java.lang.Object

Constructor Summary
`Parser()`

Method Summary
`static java.lang.String` `parseDoc(java.lang.String doc, java.lang.String[] tagsAndData)` Parses a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    public Parser()

Method Detail

### parseDoc

    public static java.lang.String parseDoc(java.lang.String doc,
                                            java.lang.String[] tagsAndData)

  Parses a string.

  Parameters:
    `doc` - The string.
    `tagsAndData` - An array of tags and data for each tag. Every even index is a tag, and every odd index is data for the tag before.
  Returns:
    The parsed String.